Bug 114591 - anaconda doesn't properly write /etc/sysconfig/mouse
Summary: anaconda doesn't properly write /etc/sysconfig/mouse
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-29 20:19 UTC by Joshua Jensen
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 15:19:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of kudzu command (3.10 KB, text/plain)
2004-02-18 16:43 UTC, Joshua Jensen
no flags Details

Description Joshua Jensen 2004-01-29 20:19:17 UTC
Description of problem:

gpm does not start correctly "out of the box".  The reason for this is
 that after an installed, /etc/sysconfig/mouse does not have a DEVICE=
line in it.  gpm WILL NOT START without that line.  running
mouseconfig, and selecting the same mouse that was selected during
installation will add this line to /etc/sysconfig/mouse... why can't
the installer write this file correctly in the first place?

Version-Release number of selected component (if applicable):

RHEL3 stock

How reproducible:

Do an install (I've got a 3 button usb mouse)

Comment 1 Jeremy Katz 2004-02-12 22:08:19 UTC
It works fine without DEVICE=.  See line 40-ish of /etc/init.d/gpm.

Comment 2 Joshua Jensen 2004-02-13 17:22:40 UTC
Yet... it doesn't work. :-)   After a kickstart, gpm DOES NOT WORK for
USB mice.  "service gpm restart" doesn't work either.  Add the DEVICE=
line, and restart again, and it works.  Now comment out the DEVICE=
line, restart... and it *doesn't* work.  Noticing a trend here?

/etc/init.d/gpm does say that gpm will assume that DEVICE= /dev/mouse
if something else isn't specified... I notice that on my machines
/dev/mouse is symlinked to psaux.  However, in my kickstart file I
clearly specify "genericwheelusb".  Is anaconda broken in creating
/dev/mouse ?

Comment 3 Jeremy Katz 2004-02-13 18:28:38 UTC
It should be getting created via kudzu -- are you disabling kudzu?

Comment 4 Joshua Jensen 2004-02-13 19:33:20 UTC
No... kudzu is running every time the machines boots.  It is properly
detecting floppy and cdrom drives... but is stuck on the idea of psaux
for some reason.

Comment 5 Jeremy Katz 2004-02-17 23:49:43 UTC
Kickstart or non-kickstart install?  What does `/usr/sbin/kudzu -p -c
MICE` give?

Comment 6 Joshua Jensen 2004-02-18 16:43:34 UTC
Created attachment 97804 [details]
output of kudzu command

Comment 7 Joshua Jensen 2004-02-18 16:43:57 UTC
kickstart install.  Output of above command is attached as file.

Comment 8 Jeremy Katz 2004-02-18 18:34:09 UTC
What sort of mouse line do you have in your ks.cfg?

Comment 9 Joshua Jensen 2004-02-18 22:14:50 UTC
generic3usb

Comment 10 Willem Riede 2004-05-02 23:39:17 UTC
I see this problem (Console mouse services fails to start with "no
mouse configured") on my dual PIII test PC (Supermicro P6DBS) after a
clean interactive, custom NFS install of Fedora Core Test 3.

This is with a PS2 wheel mouse behind an ATEN KVM. FC1 and before that
RH8,9 set up the mouse for the console just fine.

Also, anaconda itself recognized my mouse just fine during the
install, and it works in X post-boot.

Comment 11 Féliciano Matias 2004-05-03 11:58:39 UTC
Same here with FC2T3.
Mouse : Generic - 3 Button Mouse (PS/2)

At the first boot, /etc/sysconfig/mouse is empty.
Running system-config-mouse fix this.

Comment 12 Joshua Jensen 2004-08-23 18:21:01 UTC
Any further thoughts about this Jeremy?

Comment 13 Féliciano Matias 2004-08-23 23:42:24 UTC
FC2 (final) and FC3T1 does not have this issue (at least with my
computer).


Note You need to log in before you can comment on or make changes to this bug.